:root {
 --font-size-body: 1.2rem;
 --font-size-body-large: 1.2rem;
 --font-size-h1: clamp(2.2rem, 5vw, 4.5rem);
 --font-size-h2: clamp(2rem, 4vw, 3.25rem);
 --font-size-h3: clamp(1.4rem, 2.2vw, 2rem);

 --line-height-body: 1.6;
 --line-height-heading: 1.2;
}

html {
 font-size: 16px;
}

body {
 font-family: 'Rubik', Arial, sans-serif;
 font-size: var(--font-size-body);
 line-height: var(--line-height-body);
 color: #242422;
}

h1, h2, h3 {
 line-height: var(--line-height-heading);
 margin-top: 0;
}

h1 {
 font-size: var(--font-size-h1);
}

h2 {
 font-size: var(--font-size-h2);
}

h3 {
 font-size: var(--font-size-h3);
}

html {
    scroll-behavior: smooth;
}